import request from '@/utils/request'

// 月度师傅采购类别
export function getWorkerPurchaseCategorySum(params) {
  return request({
    url: '/websit/report/worker-purchase-category-sum',
    method: 'post',
    params
  })
}

// -----------------------------------------------

// 获取销售单按师傅手机号汇总
export function getSaleSum(params) {
  return request({
    url: '/websit/report/worker/buy/sum',
    method: 'post',
    params
  })
}

// -----------------------------------------------

// 获取销售单按师傅手机号汇总明细
export function getSaleSumDetail(params) {
  return request({
    url: '/websit/report/worker/buy/sum/detail',
    method: 'post',
    params
  })
}

// -----------------------------------------------

// 获取采购商品汇总
export function getPurchaseGoodsSum(params) {
  return request({
    url: '/websit/report/purchase-goods-sum',
    method: 'post',
    params
  })
}

// -----------------------------------------------

// 月度网点采购类别
export function getPurchaseCategorySum(params) {
  return request({
    url: '/websit/report/purchase-category-sum',
    method: 'post',
    params
  })
}

// -----------------------------------------------
